REST API Reference
Complete reference for every endpoint in the Nexudus REST API
Retrieve a single FloorPlan record by its Id.
{ "BusinessId": 123, "BusinessName": "<string>", "BusinessCurrencyCode": "<string>", "FloorPlanLayoutId": 123, "FloorPlanLayoutName": "<string>", "Name": "<string>", "BackgroundImageFileName": "<string>", "NewBackgroundImageUrl": "<string>", "ClearBackgroundImageFile": true, "DisplayBackground": true, "BackgroundScale": 123, "PositionX": 123, "PositionY": 123, "FloorLevel": 123, "Scale": 123, "Capacity": 123, "ArchilogicUniqueId": "<string>", "Id": 123, "UniqueId": "<string>", "CreatedOn": "<string>", "UpdatedOn": "<string>", "UpdatedBy": "<string>", "IsNew": true, "SystemId": "<string>" }
Authorization
FloorPlan-Read
curl -X GET \ "https://spaces.nexudus.com/api/sys/floorplans/87654321" \ -H "Authorization: Bearer YOUR_TOKEN"
{ "BusinessId": 0, "BusinessName": null, "BusinessCurrencyCode": null, "FloorPlanLayoutId": null, "FloorPlanLayoutName": null, "Name": "", "BackgroundImageFileName": null, "NewBackgroundImageUrl": null, "ClearBackgroundImageFile": null, "DisplayBackground": false, "BackgroundScale": 0, "PositionX": 0, "PositionY": 0, "FloorLevel": 0, "Scale": 0, "Capacity": null, "ArchilogicUniqueId": null, "Id": 87654321, "UpdatedOn": "2025-01-15T10:30:00Z", "CreatedOn": "2025-01-10T08:00:00Z", "UniqueId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "UpdatedBy": "admin@example.com", "IsNew": false, "SystemId": null, "ToStringText": "FloorPlan Example", "LocalizationDetails": null, "CustomFields": null }